<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c7322421-434b-4b5d-bbb0-6cbb0ec544c2" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionProject/bikeProject/Repository/UserRepository.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/passionProject/bikeProject/Repository/UserRepository.class" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="application.properties" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="4" selection-start-line="4" selection-end-line="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="BikeProjectApplication.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="workspace.xml" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/.idea/workspace.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2670">
              <caret line="178" column="18" selection-end-line="382" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserRepository.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="570">
              <caret line="44" column="68" lean-forward="true" selection-start-line="44" selection-start-column="68" selection-end-line="44" selection-end-column="68" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/.idea/workspace.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-246" />
    <option name="y" value="-1057" />
    <option name="width" value="1920" />
    <option name="height" value="1057" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name=".idea" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
              <item name="Controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
              <item name="Repository" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeProject" type="b2602c69:ProjectViewProjectNode" />
              <item name="backEnd" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="BikeProjectApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="bikeProject" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.passionProject.bikeProject.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.passionProject.bikeProject.BikeProjectApplication" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.BikeProjectApplication" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c7322421-434b-4b5d-bbb0-6cbb0ec544c2" name="Default" comment="" />
      <created>1532203450565</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1532203450565</updated>
      <workItem from="1532203456370" duration="186000" />
      <workItem from="1532203659637" duration="1286000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="1472000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-246" y="-1057" width="1920" height="1057" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Designer" order="2" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" order="7" weight="0.32916668" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info id="Image Layers" order="2" />
      <window_info anchor="bottom" id="Java Enterprise" order="7" />
      <window_info anchor="right" id="Capture Analysis" order="3" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32916668" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25239617" />
      <window_info anchor="right" id="Bean Validation" order="3" />
      <window_info id="Web" order="2" side_tool="true" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="570">
          <caret line="44" column="68" lean-forward="true" selection-start-line="44" selection-start-column="68" selection-end-line="44" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.idea/workspace.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2670">
          <caret line="178" column="18" selection-end-line="382" selection-end-column="10" />
        </state>
      </provider>
    </entry>
  </component>
</project>